#include "RunViewWait.h"

RunViewWait::RunViewWait(InteractiveTask *task, QMutex *mutex)
    :RunAbstract(task, mutex)
{

}

void RunViewWait::run()
{
    int timeout = getRequest().toInt();
    if (timeout > 0)
    {
        QThread::msleep(timeout);
    }

}
